* Thu Mar 1 2007 Dan Walsh <dwalsh@redhat.com> 2.0.7-1
- Update to upstream * Merged restorecond init script LSB compliance patch from Steve Grubb. -sepolgen * Merged better matching for refpolicy style from Karl MacMillan * Merged support for extracting interface paramaters from interface calls from Karl MacMillan * Merged support for parsing USER_AVC audit messages from Karl MacMillan.
This commit is contained in:
parent
1f727605c3
commit
aedc2f975f
@ -138,3 +138,5 @@ sepolgen-1.0.1.tgz
|
|||||||
policycoreutils-2.0.6.tgz
|
policycoreutils-2.0.6.tgz
|
||||||
sepolgen-1.0.2.tgz
|
sepolgen-1.0.2.tgz
|
||||||
sepolgen-1.0.3.tgz
|
sepolgen-1.0.3.tgz
|
||||||
|
policycoreutils-2.0.7.tgz
|
||||||
|
sepolgen-1.0.4.tgz
|
||||||
|
@ -50,95 +50,6 @@ diff --exclude-from=exclude --exclude=sepolgen-1.0.2 --exclude=gui --exclude=po
|
|||||||
+/etc/lvm/.cache
|
+/etc/lvm/.cache
|
||||||
~/public_html
|
~/public_html
|
||||||
~/.mozilla/plugins/libflashplayer.so
|
~/.mozilla/plugins/libflashplayer.so
|
||||||
diff --exclude-from=exclude --exclude=sepolgen-1.0.2 --exclude=gui --exclude=po -N -u -r nsapolicycoreutils/restorecond/restorecond.init policycoreutils-2.0.6/restorecond/restorecond.init
|
|
||||||
--- nsapolicycoreutils/restorecond/restorecond.init 2006-11-16 17:14:28.000000000 -0500
|
|
||||||
+++ policycoreutils-2.0.6/restorecond/restorecond.init 2007-02-27 11:34:54.000000000 -0500
|
|
||||||
@@ -1,43 +1,68 @@
|
|
||||||
#!/bin/sh
|
|
||||||
#
|
|
||||||
-# restorecond: Daemo used to maintain path file context
|
|
||||||
+# restorecond: Daemon used to maintain path file context
|
|
||||||
#
|
|
||||||
-# chkconfig: 2345 10 90
|
|
||||||
+# chkconfig: 2345 12 87
|
|
||||||
# description: restorecond uses inotify to look for creation of new files \
|
|
||||||
# listed in the /etc/selinux/restorecond.conf file, and restores the \
|
|
||||||
# correct security context.
|
|
||||||
#
|
|
||||||
+# processname: /usr/sbin/restorecond
|
|
||||||
+# config: /etc/selinux/restorecond.conf
|
|
||||||
+# pidfile: /var/run/restorecond.pid
|
|
||||||
+#
|
|
||||||
+# Return values according to LSB for all commands but status:
|
|
||||||
+# 0 - success
|
|
||||||
+# 1 - generic or unspecified error
|
|
||||||
+# 2 - invalid or excess argument(s)
|
|
||||||
+# 3 - unimplemented feature (e.g. "reload")
|
|
||||||
+# 4 - insufficient privilege
|
|
||||||
+# 5 - program is not installed
|
|
||||||
+# 6 - program is not configured
|
|
||||||
+# 7 - program is not running
|
|
||||||
+
|
|
||||||
+PATH=/sbin:/bin:/usr/bin:/usr/sbin
|
|
||||||
|
|
||||||
# Source function library.
|
|
||||||
. /etc/rc.d/init.d/functions
|
|
||||||
|
|
||||||
[ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled || exit 0
|
|
||||||
|
|
||||||
+# Check that we are root ... so non-root users stop here
|
|
||||||
+test $EUID = 0 || exit 4
|
|
||||||
+
|
|
||||||
+test -x /usr/sbin/restorecond || exit 5
|
|
||||||
+test -f /etc/selinux/restorecond.conf || exit 6
|
|
||||||
+
|
|
||||||
+RETVAL=0
|
|
||||||
+
|
|
||||||
start()
|
|
||||||
{
|
|
||||||
echo -n $"Starting restorecond: "
|
|
||||||
+ unset HOME MAIL USER USERNAME
|
|
||||||
daemon /usr/sbin/restorecond
|
|
||||||
-
|
|
||||||
+ RETVAL=$?
|
|
||||||
touch /var/lock/subsys/restorecond
|
|
||||||
echo
|
|
||||||
+ return $RETVAL
|
|
||||||
}
|
|
||||||
|
|
||||||
stop()
|
|
||||||
{
|
|
||||||
echo -n $"Shutting down restorecond: "
|
|
||||||
killproc restorecond
|
|
||||||
-
|
|
||||||
+ RETVAL=$?
|
|
||||||
rm -f /var/lock/subsys/restorecond
|
|
||||||
echo
|
|
||||||
+ return $RETVAL
|
|
||||||
}
|
|
||||||
+
|
|
||||||
restart()
|
|
||||||
{
|
|
||||||
stop
|
|
||||||
start
|
|
||||||
}
|
|
||||||
|
|
||||||
-[ -f /usr/sbin/restorecond ] || exit 0
|
|
||||||
-
|
|
||||||
# See how we were called.
|
|
||||||
case "$1" in
|
|
||||||
start)
|
|
||||||
@@ -57,7 +82,8 @@
|
|
||||||
;;
|
|
||||||
*)
|
|
||||||
echo $"Usage: $0 {start|stop|restart|reload|condrestart}"
|
|
||||||
- exit 1
|
|
||||||
+ RETVAL=3
|
|
||||||
esac
|
|
||||||
|
|
||||||
-exit 0
|
|
||||||
+exit $RETVAL
|
|
||||||
+
|
|
||||||
diff --exclude-from=exclude --exclude=sepolgen-1.0.2 --exclude=gui --exclude=po -N -u -r nsapolicycoreutils/scripts/chcat policycoreutils-2.0.6/scripts/chcat
|
diff --exclude-from=exclude --exclude=sepolgen-1.0.2 --exclude=gui --exclude=po -N -u -r nsapolicycoreutils/scripts/chcat policycoreutils-2.0.6/scripts/chcat
|
||||||
--- nsapolicycoreutils/scripts/chcat 2007-02-22 08:53:22.000000000 -0500
|
--- nsapolicycoreutils/scripts/chcat 2007-02-22 08:53:22.000000000 -0500
|
||||||
+++ policycoreutils-2.0.6/scripts/chcat 2007-02-27 11:30:03.000000000 -0500
|
+++ policycoreutils-2.0.6/scripts/chcat 2007-02-27 11:30:03.000000000 -0500
|
||||||
|
@ -2,11 +2,11 @@
|
|||||||
%define libsepolver 2.0.1-1
|
%define libsepolver 2.0.1-1
|
||||||
%define libsemanagever 1.10.0-1
|
%define libsemanagever 1.10.0-1
|
||||||
%define libselinuxver 2.0.0-1
|
%define libselinuxver 2.0.0-1
|
||||||
%define sepolgenver 1.0.3
|
%define sepolgenver 1.0.4
|
||||||
Summary: SELinux policy core utilities.
|
Summary: SELinux policy core utilities.
|
||||||
Name: policycoreutils
|
Name: policycoreutils
|
||||||
Version: 2.0.6
|
Version: 2.0.7
|
||||||
Release: 3%{?dist}
|
Release: 1%{?dist}
|
||||||
License: GPL
|
License: GPL
|
||||||
Group: System Environment/Base
|
Group: System Environment/Base
|
||||||
Source: http://www.nsa.gov/selinux/archives/policycoreutils-%{version}.tgz
|
Source: http://www.nsa.gov/selinux/archives/policycoreutils-%{version}.tgz
|
||||||
@ -186,6 +186,14 @@ if [ "$1" -ge "1" ]; then
|
|||||||
fi
|
fi
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Thu Mar 1 2007 Dan Walsh <dwalsh@redhat.com> 2.0.7-1
|
||||||
|
- Update to upstream
|
||||||
|
* Merged restorecond init script LSB compliance patch from Steve Grubb.
|
||||||
|
-sepolgen
|
||||||
|
* Merged better matching for refpolicy style from Karl MacMillan
|
||||||
|
* Merged support for extracting interface paramaters from interface calls from Karl MacMillan
|
||||||
|
* Merged support for parsing USER_AVC audit messages from Karl MacMillan.
|
||||||
|
|
||||||
* Tue Feb 27 2007 Dan Walsh <dwalsh@redhat.com> 2.0.6-3
|
* Tue Feb 27 2007 Dan Walsh <dwalsh@redhat.com> 2.0.6-3
|
||||||
- Update to upstream
|
- Update to upstream
|
||||||
-sepolgen
|
-sepolgen
|
||||||
|
Loading…
Reference in New Issue
Block a user